## 418

=== Makefile ===
# Compiler
CXX=g++

# if your program has more than one source file, add more .o files to the line
# below
OBJECTS=configuration/configuration.o \
	gui/myframe.o \
	gui/myapp.o \
	gui/changeakeydialog.o \
	gui/keydialog.o \
	gui/mytextctrl.o \
	gui/romlistctrl.o \
	gui/myaboutdialog.o \
	md5/md5.o \
	md5/romslist.o \
	wxosmose.o

CONSOLE=gui/debugconsole.o

# set this to the name of the main executable file
PROGRAM = wxosmose
# WX Config
WX_CONFIG=wx-config

# Rules
.SUFFIXES:	.o .cpp

.cpp.o :
	$(CXX) $(FLAGS) -c `$(WX_CONFIG) $(WXCXXFLAGS)` -o $@ $<

all:    release

release:	FLAGS=-O3 -Wall
release:	WXLIBS=--libs
release:	WXCXXFLAGS=--cxxflags
release:	build 

debug:		FLAGS=-D_DEBUG_
debug:		WXLIBS=--libs
debug:		WXCXXFLAGS=--cxxflags
debug:		build


debug_console:	FLAGS=-D_DEBUG_CONSOLE_
debug_console:	WXLIBS=--libs
debug_console:	WXCXXFLAGS=--cxxflags
debug_console:	build_console

static_debug_console:	FLAGS=-D_DEBUG_CONSOLE_
static_debug_console:	WXLIBS=--libs --static=yes
static_debug_console:	WXCXXFLAGS=--cxxflags --static=yes
static_debug_console:	build_console

static:		FLAGS=-O3 -Wall
static:		WXLIBS=--libs --static=yes
static:		WXCXXFLAGS=--cxxflags --static=yes
static:		build

build:		$(OBJECTS)
	@echo "Compiling Unzip Dependency"
	cd md5/zlib && make libz.a
	cd ../..
	cd md5/unzip && make unzip.a
	cd ../..

	$(CXX) $(FLAGS) -o $(PROGRAM) $(OBJECTS) md5/unzip/unzip.a md5/zlib/libz.a `$(WX_CONFIG) $(WXLIBS)`

build_console:		$(OBJECTS) $(CONSOLE)
	@echo "Compiling Unzip Dependency"
	cd md5/zlib && make libz.a
	cd ../..
	cd md5/unzip && make unzip.a
	cd ../..

	$(CXX) $(FLAGS) -o $(PROGRAM) $(OBJECTS) md5/unzip/unzip.a md5/zlib/libz.a $(CONSOLE) `$(WX_CONFIG) $(WXLIBS)`


clean:
	rm -f $(PROGRAM)
	rm -f $(OBJECTS)
	rm -f $(CONSOLE)

debian:
	fakeroot dpkg-buildpackage

=== debian/changelog ===
wxosmose (0.0.6-1) unstable; urgency=low

  * Initial release

 -- FERREIRA Yohann <bertram@cegetel.net>  Thu,  2 Jun 2005 22:27:27 +0200

=== debian/control ===
Source: wxosmose
Section: games
Priority: optional
Maintainer: FERREIRA Yohann <bertram@cegetel.net>
Build-Depends: debhelper (>= 4.0.0), libwxgtk2.5-dev (>= 2.5.3)
Standards-Version: 3.6.1

Package: wxosmose
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libwxgtk2.5.3 (>= 2.5.3), osmose (>= 0.6.28)
Description: wxOsmOse is a Front End to 
 the Master System Emulator Osmose.
 .
 Refer to that package for more information on how
 to use wxOsmOse.
 .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_desktop
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/wxosmose.6
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
